Bug 1210993 - Review Request: boost157 - The free peer-reviewed portable C++ source libraries
Summary: Review Request: boost157 - The free peer-reviewed portable C++ source libraries
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-11 22:28 UTC by Denis Arnaud
Modified: 2020-04-24 16:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
james.hogarth: fedora-review?


Attachments (Terms of Use)

Description Denis Arnaud 2015-04-11 22:28:22 UTC
Spec URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157.spec
SRPM URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157-1.57.0-1.src.rpm

Description:
A few packages require a fairly recent Boost version, which EPEL does not provide. EPEL 5 and 6 have had Boost-1.41 (and EPEL Boost-1.53) for a while (as a parallel installation for EPEL 5), thanks to Robert Scheck and the Zarafa project. The very same way they built Boost-1.41 for EPEL 5, I therefore propose to build Boost-1.57 for EPEL 6 and 7, as a parallel installation to the currently officially supported Boost packages (Boost-1.31 on EPEL 5, Boost-1.41 on EPEL 6 and Boost-1.53 on EPEL 7).

To minimise the work (and the support!) to be required, I re-start from the Boost-1.57 package (on Fedora 22), which cleanly builds on EPEL 7 without any modification. For EPEL 5 and its MPI-related issues, I re-inject the work-arounds of Boost141 and Boost148 (on EPEL 5). For EPEL 6, work-arounds of Boost148 may have to be re-injected.

References:
* Review request for Boost-1.48 on EPEL 5 and 6: http://bugzilla.redhat.com/show_bug.cgi?id=921134
* Review request for Boost-1.41 on EPEL 5: http://bugzilla.redhat.com/show_bug.cgi?id=673839
* Feature request for Boost-1.57 on Fedora: https://fedoraproject.org/wiki/Changes/F22Boost158

Comment 1 Denis Arnaud 2015-04-12 03:44:09 UTC
Successful build on EPEL 7: http://koji.fedoraproject.org/koji/taskinfo?taskID=9463282

Comment 3 Denis Arnaud 2015-04-12 06:39:14 UTC
Successful builds on all the architectures:
EPEL 6: http://koji.fedoraproject.org/koji/taskinfo?taskID=9463323
EPEL 7: http://koji.fedoraproject.org/koji/taskinfo?taskID=9463310

Comment 4 Denis Arnaud 2015-04-12 19:55:00 UTC
Re-used the same packaging techniques as for Boost148 (see #921134), around the source code of Boost-1.57 for Fedora 22 (http://pkgs.fedoraproject.org/cgit/boost.git/tree/?h=f22).

Comment 5 Xiangyang Chen 2015-05-26 02:30:56 UTC
Great job!  I've used it in compilation of HHVM on CentOS 6.6.  Thank you!

Comment 6 Denis Arnaud 2015-05-30 10:49:16 UTC
Thanks! In case you can formally review (and approve!) that package, do not hesitate then :)

Comment 7 Denis Arnaud 2015-10-18 10:48:02 UTC
Spec URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157.spec
SRPM URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157-1.57.0-3.src.rpm

Fixed a few architecture dependency issues (e.g., BZ#1244045) and added Python macro for EPEL

Comment 8 Carl George 2015-12-03 17:23:57 UTC
Since this hasn't been reviewed yet, would you consider rebasing this to 1.59.0 (boost159)?  I would find it useful for building MySQL 5.7 on EL6.

Comment 9 Denis Arnaud 2015-12-03 19:07:18 UTC
(In reply to Carl George from comment #8)
> Since this hasn't been reviewed yet, would you consider rebasing this to
> 1.59.0 (boost159)?  I would find it useful for building MySQL 5.7 on EL6.

Sure, yes. It will take me some time, but yes it is worth it. Would you help review it?

Comment 10 Carl George 2015-12-03 20:06:55 UTC
I haven't done a formal package review before, but I'm happy to learn.  Based on the docs [1] "any Fedora account holder who is a member of the packager group" can do it, so I think I'm good permissions-wise.

I'll go ahead and give some initial feedback that I noticed in the spec file.

1. BuildRoot isn't needed for EL6+, so it can be removed.
2. %clean section isn't needed for EL6+, so it can be removed.
3. %defattr lines in each %files section are only needed if permissions differ from default, so they can be removed.

[1]: https://fedoraproject.org/wiki/Package_Review_Process

Comment 11 Denis Arnaud 2015-12-04 08:03:43 UTC
(In reply to Carl George from comment #10)
> I'll go ahead and give some initial feedback that I noticed in the spec file.

Thanks Carl, appreciated!


> 1. BuildRoot isn't needed for EL6+, so it can be removed.
> 2. %clean section isn't needed for EL6+, so it can be removed.

As a matter of fact, I intend to package it for EPEL5 as well :)

Comment 12 James Hogarth 2017-10-02 10:07:33 UTC
Hi,

I'm going to need boost 1.54+ for a facter3 build in EPEL7 soon (ish)

Are you still interested in getting this through?

If so I'll be happy to do a formal review to get the updated boost available in EPEL.

Comment 13 Denis Arnaud 2017-10-02 14:59:03 UTC
(In reply to James Hogarth from comment #12)
> Are you still interested in getting this through?
> 
> If so I'll be happy to do a formal review to get the updated boost available
> in EPEL.

Thanks James!

Yes, I am still interested. And we may even take that opportunity to upgrade to a newer 
of Boost (eg, 1.65.1).

Comment 14 James Hogarth 2017-10-04 08:07:43 UTC
That's great. 

Flag me when you're ready and I'll carry out the review.

Would you mind reviewing a boost module for me in return?

Packaging boost-nowide at present to unbundle for leatherman, the author says he intends to submit it for inclusion at boost upstream in future when it's ready, but it'd be good to have in place before and then we can co-ordinate to retire when he's handled boost upstream.

Comment 15 Denis Arnaud 2017-10-07 13:29:14 UTC
(In reply to James Hogarth from comment #14)
> Flag me when you're ready and I'll carry out the review.

Thanks! I am now ready, thanks to Docker images allowing building RPM for Fedora and EPEL: http://github.com/fedorapackaging/docker-images
Do not hesitate to contribute.

Also, I use a helper project, namely http://github.com/fedorapackaging/fedorareviews, for the maintenance of that Boost-1.57 review: https://github.com/fedorapackaging/fedorareviews/tree/trunk/reviews/boost/boost_1210993_boost157


> Would you mind reviewing a boost module for me in return?
> 

If you find nobody else, why not. I would rather try to package newer versions of Boost for EPEL, however, and even 1.65.1 if possible.


> Packaging boost-nowide at present to unbundle for leatherman, the author
> says he intends to submit it for inclusion at boost upstream in future when
> it's ready, but it'd be good to have in place before and then we can
> co-ordinate to retire when he's handled boost upstream.

Yes, it makes sense. Much like Boost.Log, when it was not part of Boost upstream (before Boost-1.54).

Comment 17 James Hogarth 2017-10-19 09:30:24 UTC
This is obviously quite a complex spec to review so bear with me.

If we can coordinate to be on IRC at the same time at some point that would make life simpler... but for now there will need to be some back and forth ;)

For now I think the best way to get through this is to have a back and forth with changes to align the spec with policy, and then when we get to that point issue the formal review. Otherwise the ability to see the issues to work on will end up being somewhat blurred by the review template and more difficult to follow overall.

  1) The spec has conditionals to build for old fedora (less than F25, going back to pre F18 even) and also for EPEL5. Since these are long since blocked in koji please remove all conditional sections that are no longer relevant - ie that won't be actively used in any build intended. This is required for legibility - see section 9.2 of guidelines: https://fedoraproject.org/wiki/Packaging:Guidelines#Spec_Legibility
  2) The %define needs to be justified, otherwise it needs to be replaced by %global - https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define
  3) The BuildRoot tag should be removed - https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections
  4) The %install needs the rm -rf of the build root removed (same link as 3)
  5) Doesn't that cd in %install right after the rm effectively result in a cd to `pwd`? Seems like it should be unnecessary based on current rpmbuild behaviour.
  6) There should be no %clean section (same link as 3)
  7) There should be no defattr in %files unless a non-default value is required - https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
  8) The license file should be %license and not %doc

I know this was pretty much just a copy and small port to relocate boost157 from the appropriate spec in Fedora at the time, but there's a few changes we should make to align it with current guidelines... especially since EPEL5 is long since dead at this point and Tibbs put in so much work to bring macros like %license to EPEL6 ;)

Overall, since it is a port from a recentish Fedora, it's in a pretty good state which is fortunate for us :)

If you can please address the points above and then we can do the formal review itself.

Comment 19 Denis Arnaud 2017-10-19 19:08:55 UTC
(In reply to James Hogarth from comment #17)

Suggestions integrated. It built cleanly on my local EPEL6. Build on EPEL7 running (see the link above in comment #18).

Thanks James!

Comment 20 James Hogarth 2017-10-23 11:52:20 UTC
There's no boost157.spec in your fedora people ...

I'm guessing you missed a symlink?

Placing this here to make fedora-review happy ... 

Spec URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157-1.57.0-5.spec
SRPM URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157-1.57.0-5.src.rpm

Comment 21 Denis Arnaud 2017-10-23 12:54:40 UTC
(In reply to James Hogarth from comment #20)
> There's no boost157.spec in your fedora people ...
> 
> I'm guessing you missed a symlink?
> 
> Placing this here to make fedora-review happy ... 
> 
> Spec URL:
> http://denisarnaud.fedorapeople.org/boost/boost157/boost157-1.57.0-5.spec
> SRPM URL:
> http://denisarnaud.fedorapeople.org/boost/boost157/boost157-1.57.0-5.src.rpm

Yes, you are right, thanks!
Fixed (IIRC, rpmlint does not like when the spec file is not named exactly as the package name).

Spec URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157.spec
SRPM URL: http://denisarnaud.fedorapeople.org/boost/boost157/boost157-1.57.0-5.src.rpm

Build on EPEL 7: https://koji.fedoraproject.org/koji/taskinfo?taskID=22555931

Comment 22 James Hogarth 2017-10-23 13:23:10 UTC
It does complain a bit ... but so long as things align correctly before import it's not significant.

Just one thing left in review that I can see...

Please mark the licenses as %license rather than %doc

This will build appropriately in EPEL6 as Tibbs put a macro in to expand that in the epel rpm macros a while back.

This koji build was with %doc changed to %license for the licenses.

https://koji.fedoraproject.org/koji/taskinfo?taskID=22647654

With that done we're all good for import :)

Comment 24 James Hogarth 2017-10-25 14:46:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package contains BR: python2-devel or python3-devel
  - The BR for python-devel should be updated to use the specific python2-devel
- No owner of some directories
  - Add them to an appropriate subpackage
- The %check is ... interesting
  - suggest just dropping %check if it's only going to call true
- rpath present in various libraries
  - review the attachment and clean it up as per the wiki or please justify it
    https://fedoraproject.org/wiki/Packaging:Guidelines#Beware_of_Rpath


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* BSL", "*No copyright* CC0", "BSL (v2.0)", "BSL
     (v1.0) GPL", "zlib/libpng BSL (v1.0)", "MIT (old) BSL (v1.0)", "BSL
     (v1.0) CC0", "GPL (v3 or later)", "BSL NTP", "zlib/libpng", "BSL",
     "MIT/X11 (BSD like) BSL", "Apache (v2.0)", "BSL (v1)", "MIT/X11 (BSD
     like)", "BSL (v1.0) BSD (2 clause)", "*No copyright* BSL (v1.0)",
     "MIT/X11 (BSD like) BSL (v1.0)", "BSL (v1.0) NTP", "Unknown or
     generated", "BSL (v1.0)", "BSL (v1.0) Public domain", "NTP". 15574
     files have unknown license. Detailed output of licensecheck in
     /home/james/workspace/fedora-scm/1210993-boost157/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/openmpi/lib/boost157,
     /usr/lib64/mpich/lib/boost157, /usr/lib64/boost157
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/openmpi/lib,
     /usr/lib64/mpich, /usr/lib64/openmpi/lib/boost157,
     /usr/lib64/mpich/lib, /usr/lib64/mpich/lib/boost157,
     /usr/lib64/boost157, /usr/lib64/openmpi
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: boost157-static.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     boost157-atomic , boost157-chrono , boost157-container ,
     boost157-context , boost157-coroutine , boost157-date-time ,
     boost157-filesystem , boost157-graph , boost157-iostreams ,
     boost157-locale , boost157-log , boost157-math , boost157-program-
     options , boost157-python , boost157-random , boost157-regex ,
     boost157-serialization , boost157-signals , boost157-system ,
     boost157-test , boost157-thread , boost157-timer , boost157-wave ,
     boost157-devel , boost157-static , boost157-doc , boost157-examples ,
     boost157-openmpi , boost157-openmpi-devel , boost157-openmpi-python ,
     boost157-graph-openmpi , boost157-mpich , boost157-mpich-devel ,
     boost157-mpich-python , boost157-graph-mpich , boost157-build ,
     boost157-jam , boost157-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


<snip-for-length>
boost157-atomic.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_atomic.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-chrono.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_chrono.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-container.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_container.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-context.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_context.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-coroutine.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_coroutine.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-date-time.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_date_time.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-filesystem.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_filesystem.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-graph.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_graph.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-iostreams.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_iostreams.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-locale.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_locale.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-log.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_log.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-log.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_log_setup.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-math.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_math_c99.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-math.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_math_c99f.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-math.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_math_c99l.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-math.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_math_tr1.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-math.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_math_tr1f.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-math.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_math_tr1l.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-program-options.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_program_options.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-python.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_python.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-random.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_random.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-regex.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_regex.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-serialization.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_serialization.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-serialization.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_wserialization.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-signals.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_signals.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-system.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_system.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-test.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_prg_exec_monitor.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-test.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_unit_test_framework.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-thread.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_thread.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-timer.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_timer.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-wave.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libboost_wave.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config']
boost157-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libboost_mpi.so.1.57.0
boost157-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libboost_mpi.so.1.57.0
boost157-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libboost_mpi_python.so.1.57.0
boost157-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libboost_mpi_python.so.1.57.0
boost157-openmpi-python.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libboost_mpi_python.so.1.57.0
boost157-openmpi-python.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libboost_mpi_python.so.1.57.0
boost157-graph-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libboost_graph_parallel.so.1.57.0
boost157-graph-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libboost_graph_parallel.so.1.57.0
boost157-mpich.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/mpich/lib/libboost_mpi.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config', '/usr/lib64/mpich/lib']
boost157-mpich.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/mpich/lib/libboost_mpi_python.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config', '/usr/lib64/mpich/lib']
boost157-mpich.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libboost_mpi.so.1.57.0
boost157-mpich.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libboost_mpi.so.1.57.0
boost157-mpich.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libboost_mpi_python.so.1.57.0
boost157-mpich.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libboost_mpi_python.so.1.57.0
boost157-mpich-python.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/mpich/lib/boost157/mpi.so ['/usr/lib', '/usr/lib/python2.7/config', '/usr/lib64/mpich/lib']
boost157-mpich-python.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/mpich/lib/libboost_mpi_python.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config', '/usr/lib64/mpich/lib']
boost157-mpich-python.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libboost_mpi_python.so.1.57.0
boost157-mpich-python.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libboost_mpi_python.so.1.57.0
boost157-graph-mpich.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/mpich/lib/libboost_graph_parallel.so.1.57.0 ['/usr/lib', '/usr/lib/python2.7/config', '/usr/lib64/mpich/lib']
boost157-graph-mpich.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libboost_graph_parallel.so.1.57.0
boost157-graph-mpich.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libboost_graph_parallel.so.1.57.0
boost157-build.noarch: E: zero-length /usr/share/boost157-build/example/built_tool/core/a.td

Requires
--------
boost157-iostreams (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

boost157-doc (rpmlib, GLIBC filtered):

boost157-filesystem (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost157-system(x86-64)
    libboost_system.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-wave (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost157-chrono(x86-64)
    boost157-date-time(x86-64)
    boost157-filesystem(x86-64)
    boost157-system(x86-64)
    boost157-thread(x86-64)
    libboost_chrono.so.1.57.0()(64bit)
    libboost_date_time.so.1.57.0()(64bit)
    libboost_filesystem.so.1.57.0()(64bit)
    libboost_system.so.1.57.0()(64bit)
    libboost_thread.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-locale (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost157-chrono(x86-64)
    boost157-system(x86-64)
    boost157-thread(x86-64)
    libboost_chrono.so.1.57.0()(64bit)
    libboost_system.so.1.57.0()(64bit)
    libboost_thread.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libicudata.so.50()(64bit)
    libicui18n.so.50()(64bit)
    libicuuc.so.50()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-graph (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost157-regex(x86-64)
    libboost_regex.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libicudata.so.50()(64bit)
    libicui18n.so.50()(64bit)
    libicuuc.so.50()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-jam (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

boost157-devel (rpmlib, GLIBC filtered):
    boost157(x86-64)
    libboost_atomic.so.1.57.0()(64bit)
    libboost_chrono.so.1.57.0()(64bit)
    libboost_container.so.1.57.0()(64bit)
    libboost_context.so.1.57.0()(64bit)
    libboost_coroutine.so.1.57.0()(64bit)
    libboost_date_time.so.1.57.0()(64bit)
    libboost_filesystem.so.1.57.0()(64bit)
    libboost_graph.so.1.57.0()(64bit)
    libboost_iostreams.so.1.57.0()(64bit)
    libboost_locale.so.1.57.0()(64bit)
    libboost_log.so.1.57.0()(64bit)
    libboost_log_setup.so.1.57.0()(64bit)
    libboost_math_c99.so.1.57.0()(64bit)
    libboost_math_c99f.so.1.57.0()(64bit)
    libboost_math_c99l.so.1.57.0()(64bit)
    libboost_math_tr1.so.1.57.0()(64bit)
    libboost_math_tr1f.so.1.57.0()(64bit)
    libboost_math_tr1l.so.1.57.0()(64bit)
    libboost_prg_exec_monitor.so.1.57.0()(64bit)
    libboost_program_options.so.1.57.0()(64bit)
    libboost_python.so.1.57.0()(64bit)
    libboost_random.so.1.57.0()(64bit)
    libboost_regex.so.1.57.0()(64bit)
    libboost_serialization.so.1.57.0()(64bit)
    libboost_signals.so.1.57.0()(64bit)
    libboost_system.so.1.57.0()(64bit)
    libboost_thread.so.1.57.0()(64bit)
    libboost_timer.so.1.57.0()(64bit)
    libboost_unit_test_framework.so.1.57.0()(64bit)
    libboost_wave.so.1.57.0()(64bit)
    libboost_wserialization.so.1.57.0()(64bit)
    libicu-devel(x86-64)

boost157-static (rpmlib, GLIBC filtered):
    boost157-devel(x86-64)

boost157-random (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_system.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-test (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-program-options (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-date-time (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-graph-openmpi (rpmlib, GLIBC filtered):
    boost157-openmpi(x86-64)
    boost157-serialization(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_serialization.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)
    libmpi_cxx.so.1()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-coroutine (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_chrono.so.1.57.0()(64bit)
    libboost_context.so.1.57.0()(64bit)
    libboost_system.so.1.57.0()(64bit)
    libboost_thread.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-mpich (rpmlib, GLIBC filtered):
    boost157-serialization(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_python.so.1.57.0()(64bit)
    libboost_serialization.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpich.so.10()(64bit)
    libmpichcxx.so.10()(64bit)
    libmpl.so.1()(64bit)
    libopa.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    mpich(x86-64)
    rtld(GNU_HASH)

boost157-math (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-system (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-debuginfo (rpmlib, GLIBC filtered):

boost157-python (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

boost157-context (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)

boost157-regex (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libicudata.so.50()(64bit)
    libicui18n.so.50()(64bit)
    libicuuc.so.50()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-timer (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost157-chrono(x86-64)
    boost157-system(x86-64)
    libboost_chrono.so.1.57.0()(64bit)
    libboost_system.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-signals (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-openmpi (rpmlib, GLIBC filtered):
    boost157-serialization(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_python.so.1.57.0()(64bit)
    libboost_serialization.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)
    libmpi_cxx.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    openmpi(x86-64)
    rtld(GNU_HASH)

boost157-thread (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost157-system(x86-64)
    libboost_system.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-openmpi-devel (rpmlib, GLIBC filtered):
    boost157-devel(x86-64)
    boost157-graph-openmpi(x86-64)
    boost157-openmpi(x86-64)
    boost157-openmpi-python(x86-64)
    libboost_graph_parallel.so.1.57.0()(64bit)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_mpi_python.so.1.57.0()(64bit)

boost157 (rpmlib, GLIBC filtered):
    boost157-atomic(x86-64)
    boost157-chrono(x86-64)
    boost157-context(x86-64)
    boost157-coroutine(x86-64)
    boost157-date-time(x86-64)
    boost157-filesystem(x86-64)
    boost157-graph(x86-64)
    boost157-iostreams(x86-64)
    boost157-locale(x86-64)
    boost157-log(x86-64)
    boost157-math(x86-64)
    boost157-program-options(x86-64)
    boost157-python(x86-64)
    boost157-random(x86-64)
    boost157-regex(x86-64)
    boost157-serialization(x86-64)
    boost157-signals(x86-64)
    boost157-system(x86-64)
    boost157-test(x86-64)
    boost157-thread(x86-64)
    boost157-timer(x86-64)
    boost157-wave(x86-64)

boost157-chrono (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost157-system(x86-64)
    libboost_system.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-atomic (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)

boost157-mpich-devel (rpmlib, GLIBC filtered):
    boost157-devel(x86-64)
    boost157-graph-mpich(x86-64)
    boost157-mpich(x86-64)
    boost157-mpich-python(x86-64)
    libboost_graph_parallel.so.1.57.0()(64bit)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_mpi_python.so.1.57.0()(64bit)

boost157-container (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)

boost157-examples (rpmlib, GLIBC filtered):
    boost157-devel

boost157-openmpi-python (rpmlib, GLIBC filtered):
    boost157-openmpi(x86-64)
    boost157-python(x86-64)
    boost157-serialization(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_mpi_python.so.1.57.0()(64bit)
    libboost_python.so.1.57.0()(64bit)
    libboost_serialization.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)
    libmpi_cxx.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

boost157-graph-mpich (rpmlib, GLIBC filtered):
    boost157-mpich(x86-64)
    boost157-serialization(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_serialization.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpich.so.10()(64bit)
    libmpichcxx.so.10()(64bit)
    libmpl.so.1()(64bit)
    libopa.so.1()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-build (rpmlib, GLIBC filtered):
    /usr/bin/python
    boost157-jam(x86-64)

boost157-serialization (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_serialization.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

boost157-mpich-python (rpmlib, GLIBC filtered):
    boost157-mpich(x86-64)
    boost157-python(x86-64)
    boost157-serialization(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_mpi_python.so.1.57.0()(64bit)
    libboost_python.so.1.57.0()(64bit)
    libboost_serialization.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmpich.so.10()(64bit)
    libmpichcxx.so.10()(64bit)
    libmpl.so.1()(64bit)
    libopa.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

boost157-log (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    ld-linux-x86-64.so.2()(64bit)
    libboost_chrono.so.1.57.0()(64bit)
    libboost_date_time.so.1.57.0()(64bit)
    libboost_filesystem.so.1.57.0()(64bit)
    libboost_log.so.1.57.0()(64bit)
    libboost_regex.so.1.57.0()(64bit)
    libboost_system.so.1.57.0()(64bit)
    libboost_thread.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libicudata.so.50()(64bit)
    libicui18n.so.50()(64bit)
    libicuuc.so.50()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
boost157-iostreams:
    boost157-iostreams
    boost157-iostreams(x86-64)
    libboost_iostreams.so.1.57.0()(64bit)

boost157-doc:
    boost157-doc
    boost157-python-docs
    odeint-doc

boost157-filesystem:
    boost157-filesystem
    boost157-filesystem(x86-64)
    libboost_filesystem.so.1.57.0()(64bit)

boost157-wave:
    boost157-wave
    boost157-wave(x86-64)
    libboost_wave.so.1.57.0()(64bit)

boost157-locale:
    boost157-locale
    boost157-locale(x86-64)
    libboost_locale.so.1.57.0()(64bit)

boost157-graph:
    boost157-graph
    boost157-graph(x86-64)
    libboost_graph.so.1.57.0()(64bit)

boost157-jam:
    boost157-jam
    boost157-jam(x86-64)

boost157-devel:
    boost157-devel
    boost157-devel(x86-64)
    boost157-python-devel
    odeint
    odeint-devel

boost157-static:
    boost157-devel-static
    boost157-static
    boost157-static(x86-64)

boost157-random:
    boost157-random
    boost157-random(x86-64)
    libboost_random.so.1.57.0()(64bit)

boost157-test:
    boost157-test
    boost157-test(x86-64)
    libboost_prg_exec_monitor.so.1.57.0()(64bit)
    libboost_unit_test_framework.so.1.57.0()(64bit)

boost157-program-options:
    boost157-program-options
    boost157-program-options(x86-64)
    libboost_program_options.so.1.57.0()(64bit)

boost157-date-time:
    boost157-date-time
    boost157-date-time(x86-64)
    libboost_date_time.so.1.57.0()(64bit)

boost157-graph-openmpi:
    boost157-graph-openmpi
    boost157-graph-openmpi(x86-64)
    libboost_graph_parallel.so.1.57.0()(64bit)

boost157-coroutine:
    boost157-coroutine
    boost157-coroutine(x86-64)
    libboost_coroutine.so.1.57.0()(64bit)

boost157-mpich:
    boost157-mpich
    boost157-mpich(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_mpi_python.so.1.57.0()(64bit)

boost157-math:
    boost157-math
    boost157-math(x86-64)
    libboost_math_c99.so.1.57.0()(64bit)
    libboost_math_c99f.so.1.57.0()(64bit)
    libboost_math_c99l.so.1.57.0()(64bit)
    libboost_math_tr1.so.1.57.0()(64bit)
    libboost_math_tr1f.so.1.57.0()(64bit)
    libboost_math_tr1l.so.1.57.0()(64bit)

boost157-system:
    boost157-system
    boost157-system(x86-64)
    libboost_system.so.1.57.0()(64bit)

boost157-debuginfo:
    boost157-debuginfo
    boost157-debuginfo(x86-64)

boost157-python:
    boost157-python
    boost157-python(x86-64)
    libboost_python.so.1.57.0()(64bit)

boost157-context:
    boost157-context
    boost157-context(x86-64)
    libboost_context.so.1.57.0()(64bit)

boost157-regex:
    boost157-regex
    boost157-regex(x86-64)
    libboost_regex.so.1.57.0()(64bit)

boost157-timer:
    boost157-timer
    boost157-timer(x86-64)
    libboost_timer.so.1.57.0()(64bit)

boost157-signals:
    boost157-signals
    boost157-signals(x86-64)
    libboost_signals.so.1.57.0()(64bit)

boost157-openmpi:
    boost157-openmpi
    boost157-openmpi(x86-64)
    libboost_mpi.so.1.57.0()(64bit)
    libboost_mpi_python.so.1.57.0()(64bit)

boost157-thread:
    boost157-thread
    boost157-thread(x86-64)
    libboost_thread.so.1.57.0()(64bit)

boost157-openmpi-devel:
    boost157-openmpi-devel
    boost157-openmpi-devel(x86-64)

boost157:
    boost157
    boost157(x86-64)

boost157-chrono:
    boost157-chrono
    boost157-chrono(x86-64)
    libboost_chrono.so.1.57.0()(64bit)

boost157-atomic:
    boost157-atomic
    boost157-atomic(x86-64)
    libboost_atomic.so.1.57.0()(64bit)

boost157-mpich-devel:
    boost157-mpich-devel
    boost157-mpich-devel(x86-64)

boost157-container:
    boost157-container
    boost157-container(x86-64)
    libboost_container.so.1.57.0()(64bit)

boost157-examples:
    boost157-examples

boost157-openmpi-python:
    boost157-openmpi-python
    boost157-openmpi-python(x86-64)
    libboost_mpi_python.so.1.57.0()(64bit)

boost157-graph-mpich:
    boost157-graph-mpich
    boost157-graph-mpich(x86-64)
    libboost_graph_parallel.so.1.57.0()(64bit)

boost157-build:
    boost157-build

boost157-serialization:
    boost157-serialization
    boost157-serialization(x86-64)
    libboost_serialization.so.1.57.0()(64bit)
    libboost_wserialization.so.1.57.0()(64bit)

boost157-mpich-python:
    boost157-mpich-python
    boost157-mpich-python(x86-64)
    libboost_mpi_python.so.1.57.0()(64bit)

boost157-log:
    boost157-log
    boost157-log(x86-64)
    libboost_log.so.1.57.0()(64bit)
    libboost_log_setup.so.1.57.0()(64bit)



Unversioned so-files
--------------------
boost157-openmpi-python: /usr/lib64/openmpi/lib/boost157/mpi.so
boost157-mpich-python: /usr/lib64/mpich/lib/boost157/mpi.so

Source checksums
----------------
http://sourceforge.net/projects/boost/files/boost/1.57.0/boost_1_57_0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 910c8c022a33ccec7f088bd65d4f14b466588dda94ba2124e78b8c57db264967
  CHECKSUM(SHA256) upstream package : 910c8c022a33ccec7f088bd65d4f14b466588dda94ba2124e78b8c57db264967


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1210993
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


=== Summary === 

Fix or justify the things found in the formal fedora-review and we're good to go.

I've tested building against these packages in the facter3 COPR and facter runs correctly built against this.

Comment 25 Denis Arnaud 2020-04-24 16:09:53 UTC
Note that a newer version (Boost1.69) has been accepted a while ago: https://bugzilla.redhat.com/show_bug.cgi?id=1667725

Boost 1.72 (or even 1.73) should very soon make its way onto Fedora Rawhide. I'll then most probably file a new review for it on EPEL. Your help will be welcome at that point.


Note You need to log in before you can comment on or make changes to this bug.